%define name    ethregs
%define version 1.0
%define release 1

Summary: Userspace application to dump and parse Intel PRO/1000 register space
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://e1000.sourceforge.net/downloads/%{name}-%{version}.tar.gz
Vendor: Intel Corporation
URL: http://e1000.sourceforge.net
License: GPL
Group: Applications/System
Prefix: %{_prefix}
#or maybe
#%define debug_package %{nil}
%debug_package %{nil}
Requires: pciutils-devel

%description
This application is a debug utility to read registers from Intel's PRO/1000
and PRO/10GbE adapters.  It can be destructive to driver state, so be careful.

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README
%{_prefix}/sbin/%{name}
%{_mandir}/man8/%{name}.8

%changelog
* Tue Mar 20 2007 Jesse Brandeburg <jesse.brandeburg@intel.com>
- First try at a spec file for ethregs
